## org.pentaho.reporting.libraries.formula
Class LibFormulaErrorValue

    java.lang.Object
      org.pentaho.reporting.libraries.formula.LibFormulaErrorValue

All Implemented Interfaces:
  java.io.Serializable, ErrorValue

    public class LibFormulaErrorValue

extends java.lang.Object
implements ErrorValue

Creation-Date: 31.10.2006, 13:07:37

Author:
  Thomas Morgner
See Also:
  Serialized Form

Field Summary
`static int` `ERROR_ARGUMENTS` Invalid number of arguments error code
`static LibFormulaErrorValue` `ERROR_ARGUMENTS_VALUE` Invalid number of arguments error
`static int` `ERROR_ARITHMETIC` Number arithmetic error code
`static LibFormulaErrorValue` `ERROR_ARITHMETIC_VALUE` Number arithmetic error
`static int` `ERROR_ILLEGAL_ARRAY`
`static LibFormulaErrorValue` `ERROR_ILLEGAL_ARRAY_VALUE`
`static int` `ERROR_INVALID_ARGUMENT` Parameter types are invalid error code
`static LibFormulaErrorValue` `ERROR_INVALID_ARGUMENT_VALUE` Parameter types are invalid error
`static int` `ERROR_INVALID_AUTO_ARGUMENT` Parameter types are invalid error code
`static LibFormulaErrorValue` `ERROR_INVALID_AUTO_ARGUMENT_VALUE` Parameter types are invalid error
`static int` `ERROR_INVALID_CHARACTER` A parse error
`static int` `ERROR_INVALID_FUNCTION` Function name is invalid error code
`static LibFormulaErrorValue` `ERROR_INVALID_FUNCTION_VALUE` Function name is invalid error
`static ErrorValue` `ERROR_MISSING_ARGUMENT_VALUE`
`static int` `ERROR_MISSING_VARIABLE`
`static int` `ERROR_NA` NA error code
`static LibFormulaErrorValue` `ERROR_NA_VALUE` NA error
`static int` `ERROR_NOT_FOUND` Occurence not found error code
`static LibFormulaErrorValue` `ERROR_NOT_FOUND_VALUE` Occurence not found error
`static int` `ERROR_REFERENCE_NOT_RESOLVABLE`
`static int` `ERROR_UNEXPECTED` Unexpected error code
`static LibFormulaErrorValue` `ERROR_UNEXPECTED_VALUE` Unexpected error

Constructor Summary
`LibFormulaErrorValue(int errorCode)`

Method Summary
`boolean` `equals(java.lang.Object o)`
`int` `getErrorCode()`
`java.lang.String` `getErrorMessage(java.util.Locale locale)`
`java.lang.String` `getNamespace()`
`int` `hashCode()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ERROR_REFERENCE_NOT_RESOLVABLE

    public static final int ERROR_REFERENCE_NOT_RESOLVABLE

See Also:
  Constant Field Values

### ERROR_INVALID_CHARACTER

    public static final int ERROR_INVALID_CHARACTER

  A parse error

  See Also:
    Constant Field Values

### ERROR_INVALID_FUNCTION

    public static final int ERROR_INVALID_FUNCTION

  Function name is invalid error code

  See Also:
    Constant Field Values

### ERROR_INVALID_FUNCTION_VALUE

    public static final LibFormulaErrorValue ERROR_INVALID_FUNCTION_VALUE

  Function name is invalid error

### ERROR_INVALID_ARGUMENT

    public static final int ERROR_INVALID_ARGUMENT

  Parameter types are invalid error code

  See Also:
    Constant Field Values

### ERROR_INVALID_ARGUMENT_VALUE

    public static final LibFormulaErrorValue ERROR_INVALID_ARGUMENT_VALUE

  Parameter types are invalid error

### ERROR_INVALID_AUTO_ARGUMENT

    public static final int ERROR_INVALID_AUTO_ARGUMENT

  Parameter types are invalid error code

  See Also:
    Constant Field Values

### ERROR_INVALID_AUTO_ARGUMENT_VALUE

    public static final LibFormulaErrorValue ERROR_INVALID_AUTO_ARGUMENT_VALUE

  Parameter types are invalid error

### ERROR_ILLEGAL_ARRAY

    public static final int ERROR_ILLEGAL_ARRAY

See Also:
  Constant Field Values

### ERROR_ILLEGAL_ARRAY_VALUE

    public static final LibFormulaErrorValue ERROR_ILLEGAL_ARRAY_VALUE

### ERROR_ARITHMETIC

    public static final int ERROR_ARITHMETIC

  Number arithmetic error code

  See Also:
    Constant Field Values

### ERROR_ARITHMETIC_VALUE

    public static final LibFormulaErrorValue ERROR_ARITHMETIC_VALUE

  Number arithmetic error

### ERROR_ARGUMENTS

    public static final int ERROR_ARGUMENTS

  Invalid number of arguments error code

  See Also:
    Constant Field Values

### ERROR_ARGUMENTS_VALUE

    public static final LibFormulaErrorValue ERROR_ARGUMENTS_VALUE

  Invalid number of arguments error

### ERROR_NOT_FOUND

    public static final int ERROR_NOT_FOUND

  Occurence not found error code

  See Also:
    Constant Field Values

### ERROR_NOT_FOUND_VALUE

    public static final LibFormulaErrorValue ERROR_NOT_FOUND_VALUE

  Occurence not found error

### ERROR_NA

    public static final int ERROR_NA

  NA error code

  See Also:
    Constant Field Values

### ERROR_NA_VALUE

    public static final LibFormulaErrorValue ERROR_NA_VALUE

  NA error

### ERROR_UNEXPECTED

    public static final int ERROR_UNEXPECTED

  Unexpected error code

  See Also:
    Constant Field Values

### ERROR_UNEXPECTED_VALUE

    public static final LibFormulaErrorValue ERROR_UNEXPECTED_VALUE

  Unexpected error

### ERROR_MISSING_VARIABLE

    public static final int ERROR_MISSING_VARIABLE

See Also:
  Constant Field Values

### ERROR_MISSING_ARGUMENT_VALUE

    public static final ErrorValue ERROR_MISSING_ARGUMENT_VALUE

Constructor Detail

### LibFormulaErrorValue

    public LibFormulaErrorValue(int errorCode)

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Specified by:
    `getNamespace` in interface `ErrorValue`

### getErrorCode

    public int getErrorCode()

  Specified by:
    `getErrorCode` in interface `ErrorValue`

### getErrorMessage

    public java.lang.String getErrorMessage(java.util.Locale locale)

  Specified by:
    `getErrorMessage` in interface `ErrorValue`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`